%define anolis_release 1

# Created by pyp2rpm-3.3.2
%global pypi_name tempora

Name:           python-%{pypi_name}
Version:        5.2.1
Release:        %{anolis_release}%{dist}

Summary:        Objects and routines pertaining to date and time (tempora)

License:        MIT
URL:            https://github.com/jaraco/tempora
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(jaraco-functools) >= 1.20
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(wheel)
# testing Reqs
BuildConflicts: python3dist(pytest) = 3.7.3
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3-more-itertools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The python3-%{pypi_name}-doc package contains documentation files for python3-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove test that requires pytest-freezer.
sed -i 211,223d tempora/__init__.py

%build
%pyproject_wheel

%install
%pyproject_install

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/calc-prorate
%{python3_sitelib}/%{pypi_name}*

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 5.2.1-1
- Init package from upstream
